Package openlink.util

## Class OPLHeapClob.BlobInputStream

- java.lang.Object
- - java.io.InputStream
  - - openlink.util.OPLHeapClob.BlobInputStream

Enclosing class:
  OPLHeapClob

    protected class OPLHeapClob.BlobInputStream
    extends java.io.InputStream

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available​()`
`void` `close​()`
`int` `read​()`
`int` `read​(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, readAllBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public int read​()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read​(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available​()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close​()
               throws java.io.IOException

Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`